Loading...
Searching...
No Matches
EclStone2MaterialParams.hpp File Reference

Default implementation for the parameters required by the three-phase capillary pressure/relperm Stone 2 model used by Eclipse. More...

`#include <opm/material/common/EnsureFinalized.hpp>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | Opm::EclStone2MaterialParams< Traits, GasOilParamsT, OilWaterParamsT >
| Default implementation for the parameters required by the three-phase capillary pressure/relperm Stone 2 model used by Eclipse. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Default implementation for the parameters required by the three-phase capillary pressure/relperm Stone 2 model used by Eclipse.

Essentially, this class just stores the two parameter objects for the twophase capillary pressure laws.